aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-core-ivi/busybox/files/busybox-udhcpc
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-core-ivi/busybox/files/busybox-udhcpc')
-rwxr-xr-x[-rw-r--r--]recipes-core-ivi/busybox/files/busybox-udhcpc50
1 files changed, 25 insertions, 25 deletions
diff --git a/recipes-core-ivi/busybox/files/busybox-udhcpc b/recipes-core-ivi/busybox/files/busybox-udhcpc
index 28ef9e1..2c43f8d 100644..100755
--- a/recipes-core-ivi/busybox/files/busybox-udhcpc
+++ b/recipes-core-ivi/busybox/files/busybox-udhcpc
@@ -1,25 +1,25 @@
-#!/bin/sh
-#
-# (c) 2010-2011 Wind River Systems, Inc.
-#
-# Busybox udhcpc init script
-#
-# script to start the udpchc DHCP client on boots where
-# the parameter 'ip=dhcp' was included in the kernel parameters
-
-# ensure the required binaries are present
-[ -x /sbin/udhcpc ] || exit 1
-[ -x /bin/grep ] || exit 1
-[ -x /bin/mount ] || exit 1
-
-# ensure /proc is mounted
-if ! mount | grep -q "/proc "; then
- exit 2
-fi
-
-rc=0
-if grep -q -E "\bip=dhcp\b" /proc/cmdline; then
- /sbin/udhcpc -D -s /usr/share/udhcpc/default.script
- rc=$?
-fi
-exit $rc
+#!/bin/sh
+#
+# (c) 2010-2011 Wind River Systems, Inc.
+#
+# Busybox udhcpc init script
+#
+# script to start the udpchc DHCP client on boots where
+# the parameter 'ip=dhcp' was included in the kernel parameters
+
+# ensure the required binaries are present
+[ -x /sbin/udhcpc ] || exit 1
+[ -x /bin/grep ] || exit 1
+[ -x /bin/mount ] || exit 1
+
+# ensure /proc is mounted
+if ! mount | grep -q "/proc "; then
+ exit 2
+fi
+
+rc=0
+if grep -q -E "\bip=dhcp\b" /proc/cmdline; then
+ /sbin/udhcpc -D -s /usr/share/udhcpc/default.script
+ rc=$?
+fi
+exit $rc